; INI file for KmInstaller

; OEMMode = [1,0]
; ex: To set oem mode 
; OEMMode = 1
[OEM]
OEMMode = 1

;--------------------------------------------
; [Version] Section - Default
;	ProductName - Use as DB in registry
;--------------------------------------------
[Version]
Signature  = "$Windows NT$"
ProductName = "KYOCERA Net Viewer"
Manufacturer = %KMC%
Version = "01/11/2012 1.4.2511"

;-----------------------------------------------
; [Version.OEM] = for oem secton
;-----------------------------------------------
[Version.OEM]
Signature  = "$Windows NT$"
ProductName = "NETWORK PRINT MONITOR"
Manufacturer = %KMC%
Version = "01/11/2012 1.4.2511"

[Setup]
CompanyName = "Kyocera"
WizardBitmap = Files\WizardBitmap.bmp
LogoBitmap = Files\KxLogo.png
MainTarget = "<ProgramFiles>\Kyocera\NetViewer"
MainLink = "<StartMenu>\Kyocera"

[Setup.OEM]
CompanyName = "OEM"
;WizardBitmap = WizardBitmap.bmp
;LogoBitmap = KxLogo.png
MainTarget = "<ProgramFiles>\NETWORK  PRINT  MONITOR"
MainLink = "<StartMenu>\NETWORK  PRINT  MONITOR"

[Options]
StartExe = <MainTarget>\KNV\bin\Netviewer.exe
MainExeSrc = .\KNV\knv.zip|bin/Netviewer.exe
LogPermission = <MainTarget>\KNV\log
RemoveFolderAfterUninstall = "<ProgramFiles>\Kyocera"
CDZipPath = Network\NetViewer\KNV\knv.zip
BrowseSrcZipPath = \KNV\knv.zip
AddRemoveExe = bin/Netviewer.exe
UnZipDataFile = KMNVUnzip.pnf
CDUnZipPnfPath = Network\NetViewer\KMNVUnzip.pnf
CdKMnetSetupExePath = Network\NetViewer
LicenseDatSrc = \LicenseLang.dat
SetShortcutRunAsAdmin = 0,""
ConfigPermission = <MainTarget>\KNV\conf
RequireDotNet4 = 1

[Options.OEM]
StartExe = <MainTarget>\KNV\bin\NetPrintMonitor.exe
MainExeSrc = .\KNV\knv.zip|bin/Netviewer.exe
LogPermission = <MainTarget>\KNV\log
CDZipPath = Network\PRINT  MONITOR\KNV\knv.zip
BrowseSrcZipPath = \KNV\knv.zip
AddRemoveExe = bin/Netviewer.exe
UnZipDataFile = KMNVUnzip.pnf
CDUnZipPnfPath = Network\PRINT  MONITOR\KMNVUnzip.pnf
CdKMnetSetupExePath = Network\PRINT  MONITOR
LicenseDatPath = \LicenseLang.dat
SetShortcutRunAsAdmin = 0,""
ConfigPermission = <MainTarget>\KNV\conf

[PackageInfo]
Packages = KMNETVIEWER

[PackageInfo.OEM]
Packages = KMNETVIEWER_OEM

[Packages]
KMNETVIEWER = MAINAPP,"NetViewer",""
KMNETVIEWER_OEM = MAINAPP,"NETWORK PRINT MONITOR",""

[KMNETVIEWER]
DataFile = KmNetViewer.pnf

[KMNETVIEWER_OEM]
DataFile = KmNetViewer.pnf

[Features]
;Key = feature-option
DM = Device Management
AM = Accounting Management
HM = Host Management

[DM]
DataFile = KMNV_DeviceManagement.pnf
MainDir = <MainTarget>\KNV\addins\Device
;  @ = enable checkbox
;  ! = disable checkbox
;  & = check this install option
;  ~ = uncheck this install option
OnCheck = 
OnUncheck = ~HM
ByDefaultInit = SELECTED
;MainDll = <MainTarget>\KNV\addins\Device\Device.DeviceInfo\Device.DeviceInfo.dll
MainDll = <MainTarget>\KNV\addins\Device\Device.FirmwareUpgrade\Device.FirmwareUpgrade.dll

[AM]
DataFile = KMNV_AccountingManagement.pnf
MainDir = <MainTarget>\KNV\addins\Account
;  @ = enable checkbox
;  ! = disable checkbox
;  & = check this install option
;  ~ = uncheck this install option
OnCheck = 
OnUncheck =
;MainDll = <MainTarget>\KMNV\addins\Account\Account.AccountInfo\Account.AccountInfo.dll
MainDll = <MainTarget>\KNV\addins\Account\Account.MultiSet\Account.MultiSet.dll

[HM]
DataFile = KMNV_HostManagement.pnf
MainDir = <MainTarget>\KNV\addins\Host
OnCheck = &DM
OnUncheck =
;MainDll = <MainTarget>\KMNV\addins\Host\Host.HostInfo\Host.HostInfo.dll
MainDll = <MainTarget>\KNV\addins\Host\Host.PrinterInstallation\PrinterInstallationWizard.dll

[LicenseAgreement]
LicenseFile = %lic%

;Germany Locale or location
;[LicenseAgreement.0007]
;LicenseFile = .\KNV LA\License_DE.rtf

;English UI (default)
[strings.u]
lic = .\KNV LA\License_EN.rtf

[strings.u.0009]
lic = .\KNV LA\License_EN.rtf

;Germany UI
[strings.u.0007]
lic = .\KNV LA\License_DE.rtf

;Spanish UI
[strings.u.000a]
lic = .\KNV LA\License_ES.rtf

;French UI
[strings.u.000c]
lic = .\KNV LA\License_FR.rtf

;Italian UI
[strings.u.0010]
lic = .\KNV LA\License_IT.rtf

;Japanese UI
[strings.u.0011]
lic = .\KNV LA\License_JA.rtf

;Korean UI
[strings.u.0012]
lic = .\KNV LA\License_KO.rtf

;Dutch UI
[strings.u.0013]
lic = .\KNV LA\License_NL.rtf

;Portuguese_Brazil UI (default)
[strings.u.0016]
lic = .\KNV LA\License_PT-BR.rtf

;Russian UI
[strings.u.0019]
lic = .\KNV LA\License_RU.rtf

;Simplified_Chinese UI
[strings.u.00c0]
lic = .\KNV LA\License_SCH.rtf

;Traditional_Chinese UI
[strings.u.00c1]
lic = .\KNV LA\License_TCH.rtf